Get supplier details
Get details for a supplier.
get/tenants/{tenantUid}/suppliers/{supplierUid}
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
supplierUidstringRequiredPattern:
Reference to a Supplier.
^[A-Za-z0-9-_]+tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+Responses
200
Example response
application/json
addressstringRequired
citystringRequired
contactEmailstringRequired
contactNamestringRequired
countryCodestringRequired
createdAtstring · date-timeRequired
emailstringRequired
externalIdstringRequired
lastModifiedAtstring · date-timeRequired
namestringRequired
phonestringRequired
postalCodestringRequired
supplierUidstringRequiredPattern:
^[A-Za-z0-9-_]+vatNumberstringRequired
VAT identification number for value added tax reporting purposes.
activebooleanRequired
fixedDiscountRateintegerRequired
currencystringRequired
ISO 4217 code
freightPercentageintegerRequired
representedStoreUidstringOptionalPattern:
^[A-Za-z0-9-_]+get/tenants/{tenantUid}/suppliers/{supplierUid}
GET /v2/tenants/{tenantUid}/suppliers/{supplierUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200
Example response
{
"address": "text",
"city": "text",
"contactEmail": "text",
"contactName": "text",
"countryCode": "text",
"createdAt": "2026-01-01T00:00:00.000Z",
"email": "text",
"externalId": "text",
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"name": "text",
"phone": "text",
"postalCode": "text",
"supplierUid": "text",
"vatNumber": "text",
"active": true,
"bankInfo": {
"accountNumber": "text",
"bankName": "text",
"iban": "text",
"swift": "text",
"giroAccountNumber": "text"
},
"fixedDiscountRate": 1,
"currency": "text",
"freightPercentage": 1,
"representedStoreUid": "text"
}Last updated
Was this helpful?

